package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderDetails;
import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderHeader;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：PoOrderSonDto
 * @Date：2024/8/20 14:51
 * @Filename：PoOrderSonDto
 */
@Data
public class PoOrderSonDtoV2 extends OfsPoOrderHeader {
    /**
     * 采购公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 采购部门
     */
    private BdDeptdocEntity bdDeptdocEntity;

    /**
     * 采购组织
     */
    private BdPurorgEntity bdPurorgEntity;

    /**
     * 客商基本档案-供应商
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 客商管理档案-供应商
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 明细行
     */
    private List<OfsPoOrderDetails> details;

    /**
     * OFS采购订单
     */
//    private OfsPoOrderData ofsPoOrderData;

    /**
     * 收货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 收货仓库
     */
    private BdStordocEntity bdStordocEntity;
}
