package com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch;

import lombok.Data;

@Data
public class HeaderDto {

    private String id;
    private String clientCode;
    private String companyCode;
    private String storeCode;
    private String facilityCode;
    private String code;
    private String refOrderId;
    private String refOrderCode;
    private String refOrderType;
    private String status;
    private String consolidated;
    private String internalInstructionType;
    private String bizChannel;
    private String sourcePlatformCode;
    private String processType;
    private String sourceOrderId;
    private String sourceOrderCode;
    private String sourceUserAccount;
    private String shipToAttentionTo;
    private String shipToAddress;
    private String shipToCountry;
    private String shipToState;
    private String shipToCity;
    private String shipToDistrict;
    private String shipToMobile;
    private String totalLines;
    private String totalQty;
    private String totalContainers;
    private String totalCases;
    private String totalWeight;
    private String totalVolume;
    private String totalVolumeWeight;
    private String weightUM;
    private String volumeUM;
    private String totalAmount;
    private String totalPayAmount;
    private String postageAmount;
    private String itemTotalAmount;
    private String carrierCode;
    private String paymentStatus;
    private String codRequired;
    private String invoiceRequired;
    private String paidAt;
    private String shipFromAttentionTo;
    private String shipFromAddress;
    private String shipFromDistrict;
    private String shipFromCity;
    private String shipFromState;
    private String shipFromCountry;
    private String shipFromPostalCode;
    private String shipFromPhone;
    private String shipFromMobile;
    private String shipFromFax;
    private String shipFromEmail;
    private String codAmount;
    private String tax;
    private String taxPaid;
    private String shipToStateName;
    private String shipToCityName;
    private String shipToDistrictName;
    private String tradeSuccessAt;
    private String sourceOrderStatus;

    //发货日期
    private String shipAt;

    //出库类型
    private String shipmentType;

    //O单据名称
//    private String subOrderType;

    //OFS销售订单
//    private com.hzya.frame.ttxofs.dto.ofssalesordersearch.HeaderDetailsDto headerDetailsDto;
}