package com.hzya.frame.plugin.lets.ofs.entity;

import com.hzya.frame.web.entity.BaseEntity;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author
 * @Date 2024/8/6 14:57
 * @PackageName:com.hzya.frame.plugin.lets.ofs.entity
 * @ClassName: ShopEntity
 * @Description: OFS店铺实体类
 */
@Data
public class ShopEntity implements Serializable {
    //业务编码
    private String bizCode;
    //   店铺名称
    private String name;
    //   组织
    private String clientCode;
    //   货主编码
    private String companyCode;
    private Integer status;


    private String created;
    private String createdBy;
    private String lastUpdated;
    private String lastUpdatedBy;
    private String pageNo;
    private String pageSize;


}
