package com.hzya.frame.u9c.saledeliver.dao;

import com.hzya.frame.u9c.saledeliver.entity.VU9cSaledeliverEntity;
import com.hzya.frame.basedao.dao.IBaseDao;

import java.util.List;

/**
 * (view:v_u9c_saledeliver)表数据库访问层
 *
 * @author makejava
 * @since 2023-10-26 11:29:31
 */
public interface IVU9cSaledeliverDao extends IBaseDao<VU9cSaledeliverEntity, String> {
/***
 * @Content:获取U9C销售发货单数据
 * @Author 👻👻👻👻yqh👻👻👻👻
 * @Date  2023年10月26日13:54:39
 * @Param
 * @return
 **/
    List<VU9cSaledeliverEntity> getu9cSaledeliver(VU9cSaledeliverEntity category);
    /***
     * @Content:更新U9C状态
     * @Author 👻👻👻👻yqh👻👻👻👻
     * @Date  2023年10月26日13:54:39
     * @Param
     * @return
     **/
    int updateCrmId(VU9cSaledeliverEntity itemmaster);
/**
 *
 * @content 查询触发器生成的中间表获取已经删除的出货单
 * @author makejava
 * @date 2024/1/10 0010 10:21
 *
 */

    List<VU9cSaledeliverEntity> getu9cSaledeliverForDelete(VU9cSaledeliverEntity category);
/**
 *
 * @content 作废完CRM单据之后调用接口修改删除状态
 * @author makejava
 * @date 2024/1/10 0010 11:47
 *
 */
    int updateDeleteState(VU9cSaledeliverEntity entity);
/**
 *
 * @content 获取所有发生更新的销售退货到货单
 * @author javaboy
 * @date 2024/1/11 0011 9:38
 *
 */

    List<VU9cSaledeliverEntity> getu9cSaledeliverForUpdate(VU9cSaledeliverEntity category);
    /**
     *
     * @content 获取所有发生更新的销售退货到货单明细信息
     * @author javaboy
     * @date 2024/1/11 0011 9:38
     *
     */
    List<VU9cSaledeliverEntity> getu9cSaledeliverForUpdateDetails(VU9cSaledeliverEntity category);
}

